%global commit b4a056da5c65f893389694e1f219ffe7473ab191
%global shortcommit %(c=%{commit}; echo ${c:0:7})
%global alphatag .%{shortcommit}git
%global project tempest

%{!?upstream_version: %global upstream_version %{version}%{?milestone}}

Name:           openstack-%{project}
Epoch:          1
Version:        10.0.0
Release:        6%{alphatag}%{?dist}
Summary:        OpenStack Integration Test Suite (Tempest)
License:        ASL 2.0
Url:            https://github.com/redhat-openstack/tempest
Source0:        https://github.com/redhat-openstack/tempest/archive/%{commit}.tar.gz#/%{project}-%{commit}.tar.gz
Patch0:         0001-Fix-cleanup-service.patch
Patch1:         0001-Enable-configuration-of-manila-service.patch
Patch2:         0002-CDH-5.5-is-also-supported-in-Mitaka.patch
Patch3:         0001-glance_http-add-IPv6-support.patch
Patch4:         0001-Add-ability-to-remove-any-option-from-tempest.conf.patch
BuildArch:      noarch

BuildRequires:  fdupes
BuildRequires:  git
BuildRequires:  python-sphinx
BuildRequires:  python-d2to1
BuildRequires:  python-setuptools
BuildRequires:  python-pbr
BuildRequires:  python2-devel

Requires:       python
Requires:       python-anyjson
Requires:       python-boto
Requires:       python-cinderclient
Requires:       python-cliff
Requires:       python-fixtures
Requires:       python-glanceclient
Requires:       python-heatclient
Requires:       python-ironicclient
Requires:       python-iso8601
Requires:       python-jsonschema
Requires:       python-junitxml
Requires:       python-keyring
Requires:       python-keystoneclient
Requires:       python-lxml
Requires:       python-netaddr >= 0.7.12
Requires:       python-neutronclient
Requires:       python-nose
Requires:       python-novaclient
Requires:       python-oslo-concurrency >= 2.3.0
Requires:       python-oslo-config >= 2:2.3.0
Requires:       python-oslo-i18n >= 1.5.0
Requires:       python-oslo-log >= 1.8.0
Requires:       python-oslo-serialization >= 1.4.0
Requires:       python-oslo-utils >= 2.0.0
Requires:       python-paramiko
Requires:       python-pbr
Requires:       python-prettytable
Requires:       python-saharaclient
Requires:       python-six >= 1.9.0
Requires:       python-swiftclient
Requires:       python-stevedore
Requires:       python-testrepository
Requires:       python-testresources
Requires:       python-testscenarios
Requires:       python-testtools
Requires:       python-os-testr >= 0.4.1
Requires:       PyYAML
Requires:       which
Requires:       subunit-filters
Requires:       python-aodh-tests
Requires:       python-ceilometer-tests
Requires:       python-cinder-tests
Requires:       python-glance-tests
Requires:       python-gnocchi-tests
Requires:       python-heat-tests
Requires:       python-ironic-tests
Requires:       python-keystone-tests
Requires:       python-neutron-tests
Requires:       python-neutron-fwaas-tests
Requires:       python-neutron-lbaas-tests
Requires:       python-neutron-vpnaas-tests
Requires:       python-nova-tests
Requires:       python-sahara-tests
Requires:       python-swift-tests
Requires:       python-zaqar-tests

Obsoletes:      openstack-tempest-liberty
Obsoletes:      openstack-tempest-kilo
Obsoletes:      openstack-tempest-juno < 20150319
Obsoletes:      openstack-tempest-icehouse < 20150319

%description
This is a set of integration tests to be run against a live OpenStack cluster.
Tempest has batteries of tests for OpenStack API validation, Scenarios, and
other specific tests useful in validating an OpenStack deployment.


%prep
%autosetup -n tempest-%{commit} -S git -p1

rm -f *requirements.txt
# remove shebangs and fix permissions
RPMLINT_OFFENDERS="tempest/cmd/account_generator.py \
tempest/cmd/cleanup.py \
tempest/cmd/cleanup_service.py \
tempest/cmd/javelin.py \
tempest/cmd/run_stress.py \
tempest/cmd/verify_tempest_config.py \
tempest/common/api_discovery.py \
tempest/stress/cleanup.py \
tempest/tests/cmd/test_javelin.py"
sed -i '1{/^#!/d}' $RPMLINT_OFFENDERS
chmod u=rw,go=r $RPMLINT_OFFENDERS

%install
mkdir -p %{buildroot}%{_datarootdir}/%{name}-%{upstream_version}
cp --preserve=mode -r . %{buildroot}%{_datarootdir}/%{name}-%{upstream_version}
rm -rf %{buildroot}%{_datarootdir}/%{name}-%{upstream_version}/.git*
rm -rf %{buildroot}%{_datarootdir}/%{name}-%{upstream_version}/build
rm -f  %{buildroot}%{_datarootdir}/%{name}-%{upstream_version}/doc/source/_static/.keep
%{__python} setup.py install --skip-build --root %{buildroot}
mkdir -p %{buildroot}/etc/tempest
mv %{buildroot}/usr/etc/tempest/* %{buildroot}/etc/tempest

%build
%{__python} setup.py build

%files
%license LICENSE
%defattr(-,root,root)
%{_datarootdir}/%{name}-%{upstream_version}
%exclude %{_datarootdir}/%{name}-%{upstream_version}/.mailmap
%exclude %{_datarootdir}/%{name}-%{upstream_version}/.coveragerc
%{_bindir}/tempest
%{_bindir}/check-uuid
%{_bindir}/javelin2
%{_bindir}/run-tempest-stress
%{_bindir}/skip-tracker
%{_bindir}/tempest-account-generator
%{_bindir}/tempest-cleanup
%{_bindir}/verify-tempest-config
%{python2_sitelib}/%{project}
%{python2_sitelib}/%{project}*.egg-info
%{_sysconfdir}/%{project}/*sample
%{_sysconfdir}/%{project}/*yaml
%{_sysconfdir}/%{project}/*.conf

%changelog
* Mon Aug 28 2017 Chandan Kumar <chkumar@redhat.com> 1:10.0.0-6.b4a056dgit
- Backported --remove feature for config tool
- Resolves rhbz#1472960

* Wed Apr 26 2017 Chandan Kumar <chkumar@redhat.com> 1:10.0.0-5.b4a056dgit
- Added patch for IPv6 support for glance_http
- Resolves rhbz#1442115

* Tue Feb 21 2017 Chandan Kumar <chkumar@redhat.com> 1:10.0.0-4.b4a056dgit
- Added patch for enable configuration of manila service
- Added patch for CDH-5.5 support in Mitaka
- Resolves rhbz#1425404

* Fri Sep 16 2016 Chandan Kumar <chkumar@redhat.com> 1:10.0.0-3.b4a056dgit
- Added patch for Fix cleanup service rhbz#1376497

* Fri Jul 08 2016 Steve Linabery <slinaber@redhat.com> 1:10.0.0-2.b4a056dgit
- Add Requires for *-tests packages
- Remove *requirements.txt from source

* Thu Mar 31 2016 Haikel Guemar <hguemar@fedoraproject.org> 1:10.0.0-
- Update to 10.0.0

